> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get kyc 



## OpenAPI

````yaml /openapi-readme.json get /kyc/{entity}/{formId}
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /kyc/{entity}/{formId}:
    get:
      tags:
        - kyc
      operationId: get_user_kyc
      parameters:
        - schema:
            type: string
          in: path
          name: formId
          required: true
        - schema:
            type: string
          in: path
          name: entity
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  entity:
                    type: string
                  id:
                    type: string
                  name:
                    type: string
                  user_id:
                    type: string
                  form_instance_id:
                    type: string
                  section:
                    type: number
                  answers:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                  one_time_questions:
                    default: []
                    type: array
                    items:
                      type: string
                  kyc_completed:
                    type: boolean
                  account_type:
                    default: amana
                    type: string
                    enum:
                      - amana
                      - mt5_hedged
                      - mt5_netting
                      - mt4
                      - copy_trading
                      - snb
                      - c2c_investing
                      - c2c_trading
                  trading_accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        external_id:
                          type: string
                        external_user:
                          type: string
                        type:
                          type: string
                        currency:
                          type: string
                        group:
                          type: string
                        kyc_id:
                          type: string
                        last_active:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      required:
                        - id
                        - external_id
                        - type
                        - currency
                        - group
                        - kyc_id
                      additionalProperties: false
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - entity
                  - id
                  - name
                  - user_id
                  - form_instance_id
                  - section
                  - answers
                  - one_time_questions
                  - kyc_completed
                  - account_type
                  - created_at
                  - updated_at
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.